Classic Administrators - List
Gets service administrator, account administrator, and co-administrators for the subscription.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Authorization/classicAdministrators?api-version=2015-07-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Returns an array of administrators. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Permissions
To call this API, you must be assigned a role that has the following permissions. For more information, see Azure built-in roles.
Microsoft.Authorization/classicAdministrators/read
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
List classic administrators
Sample request
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Authorization/classicAdministrators?api-version=2015-07-01
Sample response
{
"value": [
{
"name": "classicadminid",
"type": "Microsoft.Authorization/classicAdministrators",
"id": "/subscriptions/subId/providers/Microsoft.Authorization/classicAdministrators/classicadminid",
"properties": {
"emailAddress": "test@test.com",
"role": "ServiceAdministrator;AccountAdministrator"
}
},
{
"name": "classicadminid2",
"type": "Microsoft.Authorization/classicAdministrators",
"id": "/subscriptions/subId/providers/Microsoft.Authorization/classicAdministrators/classicadminid2",
"properties": {
"emailAddress": "coadmin@test.com",
"role": "CoAdministrator"
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
Classic |
Classic Administrators |
|
Classic |
ClassicAdministrator list result information. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
ClassicAdministrator
Classic Administrators
| Name | Type | Description |
|---|---|---|
| id |
string |
The ID of the administrator. |
| name |
string |
The name of the administrator. |
| properties.emailAddress |
string |
The email address of the administrator. |
| properties.role |
string |
The role of the administrator. |
| type |
string |
The type of the administrator. |
ClassicAdministratorListResult
ClassicAdministrator list result information.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
The URL to use for getting the next set of results. |
| value |
An array of administrators. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |